nx_metadata_sdk 1.0 Metadata SDK

Protected Member Functions | List of all members
nx::vms_server_plugins::analytics::stub::settings::Plugin Class Reference
Inheritance diagram for nx::vms_server_plugins::analytics::stub::settings::Plugin:

## Protected Member Functions
virtual nx::sdk::Result< nx::sdk::analytics::IEngine * > | doObtainEngine () override
virtual std::string | instanceId () const override
virtual std::string | manifestString () const override
Protected Member Functions inherited from nx::sdk::analytics::Plugin
virtual void | getManifest (Result< const IString *> *outResult) const override
virtual void | doCreateEngine (Result< IEngine *> *outResult) override
Protected Member Functions inherited from nx::sdk::Interface< IPlugin >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Public Types inherited from nx::sdk::analytics::Plugin
using | CreateEngine = std::function< IEngine *(Plugin *plugin)>
Public Types inherited from nx::sdk::IPlugin
typedef IPlugin *(* | EntryPointFunc) ()
typedef IPlugin *(* | MultiEntryPointFunc) (int instanceIndex)
Public Member Functions inherited from nx::sdk::analytics::Plugin
| Plugin (std::string pluginManifest, CreateEngine createEngine)
Ptr< IUtilityProvider > | utilityProvider () const
virtual void | setUtilityProvider (IUtilityProvider *utilityProvider) override
Public Member Functions inherited from nx::sdk::RefCountable< IPlugin >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::Interface< IPlugin >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const
Static Public Member Functions inherited from nx::sdk::IPlugin
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Static Public Attributes inherited from nx::sdk::IPlugin
static constexpr const char * | kEntryPointFuncName = "createNxPlugin"
static constexpr const char * | kMultiEntryPointFuncName = "createNxPluginByIndex"
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static constexpr const InterfaceId * | makeId (const char(&charArray)[len])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])

## Member Function Documentation

## ◆ doObtainEngine()

Result< IEngine * > nx::vms_server_plugins::analytics::stub::settings::Plugin::doObtainEngine | ( |  | ) |
| override protected virtual

Override this method instead of doCreateEngine().

Reimplemented from nx::sdk::analytics::Plugin.

## ◆ instanceId()

virtual std::string nx::vms_server_plugins::analytics::stub::settings::Plugin::instanceId | ( |  | ) | const
| inline override protected virtual

Override for multi-IPlugin libraries; provide pluginId specified in the Manifest.

Reimplemented from nx::sdk::analytics::Plugin.

The documentation for this class was generated from the following files:

- samples/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/settings/plugin.h
- samples/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/settings/plugin.cpp